Name: gawk
Version: 3.1.3
Release: alt1

%def_with profile

Summary: The GNU version of the awk text processing utility
License: GPL
Group: Text tools

Source0: ftp://ftp.gnu.org/pub/gnu/gawk/%name-%version.tar.bz2
Source1: ftp://ftp.gnu.org/pub/gnu/gawk/%name-%version-ps.tar.bz2

Patch1: %name-3.1.2-alt-texinfo.patch
Patch2: %name-3.1.3-rh-fix1.patch
Patch3: %name-3.1.3-rh-fix2.patch
Patch4: %name-3.1.3-rh-fix3.patch
Patch5: %name-3.1.3-rh-fix4.patch
Patch6: %name-3.1.3-rh-fix5.patch

PreReq: %__install_info
Provides: awk = %version

Prefix: %prefix

%description
The %name packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs. Gawk should
be upwardly compatible with the Bell Labs research version of awk and
is almost completely compliant with the 1993 POSIX 1003.2 standard for
awk.

Install the %name package if you need a text processing utility. Gawk is
considered to be a standard Linux tool for processing text.

%package doc
Summary: documentation about the GNU version of the awk text processing utility
Group: Text tools
Requires: %name = %version-%release

%package profile
Summary: The version of gawk with profiling support.
Group: Development/Other
Requires: %name = %version-%release

%description profile
The gawk-profile package includes pgawk (profiling gawk).  pgawk is
identical in every way to gawk, except that when it has finished running,
it creates a profile of your program with line execution counts.

%description doc
The %name packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs. Gawk should
be upwardly compatible with the Bell Labs research version of awk and
is almost completely compliant with the 1993 POSIX 1003.2 standard for
awk.

%prep
%setup -q -b1
rm -f doc/*.info awklib/eg/prog/igawk.sh awklib/stamp-eg
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
%patch5 -p1
%patch6 -p1

bzip2 -9 doc/*.ps

%build
%add_optflags -I.

automake Makefile ||:
%configure
%__subst 's,#define HAVE_SOCKETS 1,#undef HAVE_SOCKETS,' config.h

(cd awklib
    make stamp-eg
)
%make_build

%install
%makeinstall bindir=$RPM_BUILD_ROOT/bin libexecdir=$RPM_BUILD_ROOT/%_libdir/awk

mkdir -p $RPM_BUILD_ROOT%_bindir
ln -sf /bin/awk $RPM_BUILD_ROOT%_bindir/awk
ln -sf /bin/%name $RPM_BUILD_ROOT%_bindir/%name
mv $RPM_BUILD_ROOT/bin/pgawk* $RPM_BUILD_ROOT/%_bindir/

pushd $RPM_BUILD_ROOT%_datadir
	mkdir -p awk
	mv -f *.awk awk
popd

pushd $RPM_BUILD_ROOT%_mandir
	mkdir -p man1
	mv -f * man1 ||:
	ln -sf %name.1 man1/awk.1
popd


%post
%install_info %name.info

%preun
%uninstall_info %name.info

%files
/bin/*awk

%_bindir/*
%if_with profile
%exclude %_bindir/pgawk*
%endif #with profile

%_libdir/*
%_datadir/awk
%_infodir/*.info*
%_mandir/man?/*

%files doc
%doc README README_d/README.linux  FUTURES INSTALL LIMITATIONS NEWS POSIX.STD
%doc doc/{ChangeLog,{%name,awkcard}.ps*}

%if_with profile
%files profile
%_bindir/pgawk*
%endif #with profile

%changelog
* Mon Sep 29 2003 Stanislav Ievlev <inger@altlinux.ru> 3.1.3-alt1
- 3.1.3

* Fri Apr 04 2003 Stanislav Ievlev <inger@altlinux.ru> 3.1.2-alt2.1
- added experimental patch to solve grow_buffer problem

* Thu Apr 03 2003 Stanislav Ievlev <inger@altlinux.ru> 3.1.2-alt2
- turn off network features

* Tue Mar 25 2003 Stanislav Ievlev <inger@altlinux.ru> 3.1.2-alt1
- 3.1.2
- removed patch for tmpfiles (author don't use it now)
- removed cleanups patch (was problems with regexp)

* Tue Sep 17 2002 Stanislav Ievlev <inger@altlinux.ru> 3.1.1-alt4
- fixed typo in the URL
- rebuild with gcc3

* Thu Aug 08 2002 Stanislav Ievlev <inger@altlinux.ru> 3.1.1-alt3
- fixed group tag

* Wed Aug 07 2002 Stanislav Ievlev <inger@altlinux.ru> 3.1.1-alt2
- update patch for igawk
- added profile subpackage
- removed regex from cleanup. Internal regex is too different from glibc's regexp

* Sat May 18 2002 Stanislav Ievlev <inger@altlinux.ru> 3.1.1-alt1
- 3.1.1

* Wed Oct 17 2001 Stanislav Ievlev <inger@altlinux.ru> 3.1.0-alt1
- 3.1.0

* Fri Jun 01 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.0.6-ipl2mdk
- Fixed temporary file handling in igawk (owl).
- fixed texinfo dircategory.

* Wed Aug  8 2000 Dmitry V. Levin <ldv@fandra.org> 3.0.6-ipl1mdk
- new release 3.0.6.

* Wed Jul 26 2000 Dmitry V. Levin <ldv@fandra.org> 3.0.5-ipl1mdk
- RE and Fandra adaptions.

* Sat Jul 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 3.0.5-1mdk
- new version
- macros
- provides: awk

* Fri Jun 09 2000 Etienne Faure <etienne@mandrakesoft.com> 3.0.4-3mdk
-rebuild on kenobi

* Sat Apr 08 2000 John Buswell <johnb@mandrakesoft.com> 3.0.4-2mdk
- fixed distribution tag

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4
- fixed groups
- spec helper

* Mon Nov 22 1999 Pixel <pixel@linux-mandrake.com>
- moved the doc to gawk-doc

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add defattr.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Fri Feb 19 1999 Jeff Johnson <jbj@redhat.com>
- Install info pages (#1242).

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1
- don't package /usr/info/dir

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 3.0.3
- added documentation and buildroot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

